Driver.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "driver/spi_master.h"`
`#include "esp_system.h"`
`#include "driver/gpio.h"`
`#include "freertos/FreeRTOS.h"`
`#include "freertos/task.h"`
Include dependency graph for Driver.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | lcd_init_cmd_t

## Macros

#define | LCD_HOST HSPI_HOST
#define | DMA_CHAN 2
#define | PIN_NUM_MISO 25
#define | PIN_NUM_MOSI 23
#define | PIN_NUM_CLK 19
#define | PIN_NUM_CS 22
#define | PIN_NUM_DC 21
#define | PIN_NUM_RST 18
#define | PIN_NUM_BCKL 5
#define | LCD_WIDTH 320
#define | LCD_HIGH 240
#define | PARALLEL_LINES 16

## Enumerations

enum | type_lcd_t { LCD_TYPE_ILI = 1, LCD_TYPE_ST, LCD_TYPE_MAX }

## Functions

esp_err_t | vDriver_init (void)
| Initialize the driver. More...
esp_err_t | iDriver_writeFramebuffer (uint16_t ***pu16Framebuffer)
| write framebuffer to LCD via SPI More...

## Detailed Description

Author
  Hendrik Schutter

Version
  V1.0

Date
  03.11.2020

## Macro Definition Documentation

## DMA_CHAN

#define DMA_CHAN 2

## LCD_HIGH

#define LCD_HIGH 240

## LCD_HOST

#define LCD_HOST HSPI_HOST

## LCD_WIDTH

#define LCD_WIDTH 320

## PARALLEL_LINES

#define PARALLEL_LINES 16

## PIN_NUM_BCKL

#define PIN_NUM_BCKL 5

## PIN_NUM_CLK

#define PIN_NUM_CLK 19

## PIN_NUM_CS

#define PIN_NUM_CS 22

## PIN_NUM_DC

#define PIN_NUM_DC 21

## PIN_NUM_MISO

#define PIN_NUM_MISO 25

## PIN_NUM_MOSI

#define PIN_NUM_MOSI 23

## PIN_NUM_RST

#define PIN_NUM_RST 18

## Enumeration Type Documentation

## type_lcd_t

enum type_lcd_t

Enumerator
LCD_TYPE_ILI |
LCD_TYPE_ST |
LCD_TYPE_MAX |

## Function Documentation

## iDriver_writeFramebuffer()

esp_err_t iDriver_writeFramebuffer | ( | uint16_t *** | pu16Framebuffer | ) |

write framebuffer to LCD via SPI

Parameters

  uint16_t | ***pu16Framebuffer

Returns
  esp error code

Author
  Hendrik Schutter

Date
  3.11.2020

Here is the call graph for this function:
Here is the caller graph for this function:

## vDriver_init()

esp_err_t vDriver_init | ( | void |  | ) |

Initialize the driver.

Parameters

  void |

Returns
  esp error code

Author
  Hendrik Schutter

Date
  3.11.2020

Enable backlight

Here is the call graph for this function:
Here is the caller graph for this function: